Metadata

Operations for managing Content Fragment metadata according to linked metadata schemas.

Get Content Fragment metadata

Returns the metadata for a Content Fragment, including the schema identifier and all property values defined by the linked metadata schema.

The schema is resolved from the fragment itself or its parent folder hierarchy. If no schema is explicitly linked up to the root folder, the default builtin schema is used.

The response includes an ETag header. Clients can pass this value in the If-None-Match header of subsequent requests to avoid re-fetching unchanged data. When the metadata has not changed, the server replies with a 304 Not Modified response and an empty body.

SecuritybearerAuth
Request
path Parameters
fragmentId
required
string <uuid> (UUID)

Content Fragment unique identifier

Example: 49af775d-0e7a-46c3-913d-00f762528373
header Parameters
If-None-Match
string

The If-None-Match header field makes the request method conditional on a recipient cache or origin server either not having any current representation of the target resource, when the field value is "*", or having a selected representation with an entity tag that does not match any of those listed in the field value.

For more details, please head over to RFC9110.

Responses
200

OK

304

Not Modified

400

Bad Request. The Problem Details object will provide more information about the exact cause.

403

Forbidden

404

Not Found

406

Unacceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.

500

The server encountered an unexpected error. Retrying the request after a certain time could help.

get/cf/fragments/{fragmentId}/metadata
Request samples
Response samples
application/json
{
  • "schemaId": "aem-default-1.schema.json",
  • "fields": [
    ]
}

Update Content Fragment metadata

This operation allows updating metadata properties of a Content Fragment that has a linked metadata schema. The changes are passed as JSON Patch documents.

Properties must be defined in the linked metadata schema. Attempting to modify properties not defined in the schema or read-only properties will result in a 400 error.

Save conflicts are detected by leveraging conditional HTTP requests. When a conflict occurs, the server will reply with a 412 response.

SecuritybearerAuth
Request
path Parameters
fragmentId
required
string <uuid> (UUID)

Content Fragment unique identifier

Example: 49af775d-0e7a-46c3-913d-00f762528373
header Parameters
If-Match
required
string

The If-Match header field makes the request method conditional on the recipient origin server either having at least one current representation of the target resource, when the field value is "*", or having a current representation of the target resource that has an entity tag matching a member of the list of entity tags provided in the field value.

For more details, please head over to RFC9110.

Request Body schema: application/json-patch+json
required
Array
op
required
string

The operation to perform

path
required
string non-empty

The location where information should be added

required
string or number or Array of any or object or boolean (PatchValue)

The information to place at the location indicated by the path parameter

Responses
200

OK - Metadata updated successfully

400

Bad Request. The Problem Details object will provide more information about the exact cause.

403

Forbidden

404

Not Found

406

Unacceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.

412

Precondition Failed

415

Unsupported Media Type. When provided as a response to a PATCH request, the response will provide an Accept-Patch response header to notify the client what patch document media types are supported.

428

Precondition Required

500

The server encountered an unexpected error. Retrying the request after a certain time could help.

patch/cf/fragments/{fragmentId}/metadata
Request samples
application/json-patch+json
[
  • {
    },
  • {
    },
  • {
    }
]
Response samples
application/json
{
  • "schemaId": "aem-default-1.schema.json",
  • "fields": [
    ]
}

Bind a metadata schema to a resource

Links a metadata schema to a content fragment or DAM folder. The schema defines which metadata properties are available for the resource.

Binding a Schema:

  • Set schemaId to the ID of the metadata schema to bind
  • Child resources (fragments in folders) will inherit the schema unless overridden

Unbinding a Schema:

  • Set schemaId to null to remove the schema binding
  • The resource will then inherit from its parent folder, if any

Only DAM folders and content fragments are supported. Other resource types will result in a 400 Bad Request response.

SecuritybearerAuth
Request
Request Body schema: application/json
required
resourcePath
required
string^(\/content\/(dam|launches)\/.*)$

Absolute path to a content fragment, a content fragment included in a launch or a content folder under /content/dam.

schemaId
string or null

The metadata schema ID to bind. Set to null to unbind the schema.

Responses
204

Schema binding updated successfully

400

Bad Request. The Problem Details object will provide more information about the exact cause.

403

Forbidden

404

Not Found

500

The server encountered an unexpected error. Retrying the request after a certain time could help.

put/cf/metadata/schemas/bindings
Request samples
application/json
{
  • "resourcePath": "/content/dam/campaigns/summer-2026",
  • "schemaId": "campaign.schema.json"
}
Response samples
application/problem+json
{}